Package weka.gui.visualize

# Interface PrintableHandler

All Known Implementing Classes:
  `AttributeVisualizationPanel`, `HierarchyVisualizer`, `LayoutPanel`, `PrintableComponent`, `PrintablePanel`, `ThresholdVisualizePanel`, `TreeVisualizer`, `VisualizePanel`

public interface PrintableHandler
This interface is for all JComponent classes that provide the ability to print itself to a file.

Version:
  $Revision: 10222 $
Author:
  FracPete (fracpete at waikato dot ac dot nz)
See Also:
  - `PrintableComponent`
  - `PrintablePanel`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getSaveDialogTitle()`
  returns the title for the save dialog
  `JComponentWriter`
  `getWriter(String name)`
  returns the JComponentWriter associated with the given name, is `null` if not found
  `Hashtable<String,JComponentWriter>`
  `getWriters()`
  returns a Hashtable with the current available JComponentWriters in the save dialog.
  `double`
  `getXScale()`
  returns the scale factor for the x-axis
  `double`
  `getYScale()`
  returns the scale factor for the y-axis
  `void`
  `saveComponent()`
  displays a save dialog for saving the component to a file.
  `void`
  `setSaveDialogTitle(String title)`
  sets the title for the save dialog
  `void`
  `setScale(double x, double y)`
  sets the scale factor

- ## Method Details

  - ### getWriters

    Hashtable<String,JComponentWriter> getWriters()
    returns a Hashtable with the current available JComponentWriters in the save dialog. the key of the Hashtable is the description of the writer.
    Returns:
      all currently available JComponentWriters
    See Also:
      - `JComponentWriter.getDescription()`

  - ### getWriter

    JComponentWriter getWriter(String name)
    returns the JComponentWriter associated with the given name, is `null` if not found
    Returns:
      the writer associated with the given name
    See Also:
      - `JComponentWriter.getDescription()`

  - ### setSaveDialogTitle

    void setSaveDialogTitle(String title)
    sets the title for the save dialog

  - ### getSaveDialogTitle

    String getSaveDialogTitle()
    returns the title for the save dialog

  - ### setScale

    void setScale(double x, double y)
    sets the scale factor
    Parameters:
      `x` - the scale factor for the x-axis
      `y` - the scale factor for the y-axis

  - ### getXScale

    double getXScale()
    returns the scale factor for the x-axis

  - ### getYScale

    double getYScale()
    returns the scale factor for the y-axis

  - ### saveComponent

    void saveComponent()
    displays a save dialog for saving the component to a file.